> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Account IDP Groups

> Bulk create IDP groups for this enterprise. Existing groups are ignored.

## Permissions

Requires a service user with the `ManageAccountMembership` permission at the enterprise level.


## OpenAPI

````yaml /v3-openapi.yaml POST /v3/enterprise/idp-groups
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/idp-groups:
    post:
      tags:
        - idp_groups
      summary: Register Account IDP Groups
      description: Bulk create IDP groups for this enterprise. Existing groups are ignored.
      operationId: handle_bulk_register_account_idp_groups_v3_enterprise_idp_groups_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdpGroupsBulkCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/IdpGroupResponse'
                title: >-
                  Response Handle Bulk Register Account Idp Groups V3 Enterprise
                  Idp Groups Post
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    IdpGroupsBulkCreateRequest:
      properties:
        idp_group_names:
          items:
            type: string
          maxItems: 100
          minItems: 1
          title: Idp Group Names
          type: array
      required:
        - idp_group_names
      title: IdpGroupsBulkCreateRequest
      type: object
    IdpGroupResponse:
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
      required:
        - idp_group_name
      title: IdpGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````